CUDNN Frontend API 8.3.0

Classes | Namespaces | Typedefs | Enumerations | Functions
cudnn_frontend_EngineConfigGenerator.h File Reference
`#include <cudnn_frontend.h>`
Include dependency graph for cudnn_frontend_EngineConfigGenerator.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | cudnn_frontend::EngineConfigGenerator

## Namespaces
| cudnn_frontend

## Typedefs
using | cudnn_frontend::executionPlans_t = std::vector< cudnn_frontend::ExecutionPlan >
| Variety of renames. More...
using | cudnn_frontend::Predicate = std::function< bool(cudnn_frontend::ExecutionPlan const &plan)>
using | cudnn_frontend::GeneratorSource = std::function< cudnn_frontend::EngineConfigList(cudnn_frontend::OperationGraph &)>

## Enumerations
enum | cudnn_frontend::CudnnFindSamplingTechnique { cudnn_frontend::CudnnFindSamplingTechnique::CUDNN_FIND_SAMPLE_ONCE, cudnn_frontend::CudnnFindSamplingTechnique::CUDNN_FIND_SAMPLE_MEDIAN_OF_THREE, cudnn_frontend::CudnnFindSamplingTechnique::CUDNN_FIND_SAMPLE_TILL_STABLE }

## Functions
static auto | cudnn_frontend::filter (Predicate pred, executionPlans_t &plans) -> executionPlans_t